# Created by Hugo Cruz Jimenez, August 2011, KAUST
import numpy as np

def findmd(*args):
    B=args[0]  # Input Matrix
    vmax=args[1]
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]/vmax < 0.04 or B[i,j]/vmax > 0.8:
                ii=i
                jj=j
            j+=1
        i+=1
    iim=[]
    jjn=[]
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]/vmax < 0.04 or B[i,j]/vmax > 0.8:
                iim.append(i)
                jjn.append(j)
            j+=1
        i+=1
    return iim,jjn

def findms(*args):
    B=args[0]  # Input Matrix
    vmax=args[1]
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if 0.33*vmax <= B[i,j] and B[i,j] < 0.66*vmax:
                ii=i
                jj=j
            j+=1
        i+=1
    iim=[]
    jjn=[]
    i=0
    while i < r:
        j=0
        while j < c:
            if 0.33*vmax <= B[i,j] and B[i,j] < 0.66*vmax:
                iim.append(i)
                jjn.append(j)
            j+=1
        i+=1
    return iim,jjn

def findet(*args):
    B=args[0]  # Input Matrix
    val=args[1]
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]==val:
                ii=i
                jj=j
            j+=1
        i+=1
    iim=[]
    jjn=[]
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]==val:
                iim.append(i)
                jjn.append(j)
            j+=1
        i+=1
    return iim,jjn

def findge(*args):
    B=args[0]  # Input Matrix
    val=args[1]
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]>=val:
                ii=i
                jj=j
            j+=1
        i+=1
    iim=[]
    jjn=[]
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]>=val:
                iim.append(i)
                jjn.append(j)
            j+=1
        i+=1
    return iim,jjn

def findle(*args):
    B=args[0]  # Input Matrix
    val=args[1]
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]<=val:
                ii=i
                jj=j
            j+=1
        i+=1
    iim=[]
    jjn=[]
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]<=val:
                iim.append(i)
                jjn.append(j)
            j+=1
        i+=1
    return iim,jjn

def findlt(*args):
    B=args[0]  # Input Matrix
    val=args[1]
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]<val:
                ii=i
                jj=j
            j+=1
        i+=1
    iim=[]
    jjn=[]
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]<val:
                iim.append(i)
                jjn.append(j)
            j+=1
        i+=1
    return iim,jjn

def findgt(*args):
    B=args[0]  # Input Matrix
    val=args[1]
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]>val:
                ii=i
                jj=j
            j+=1
        i+=1
    iim=[]
    jjn=[]
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]>val:
                iim.append(i)
                jjn.append(j)
            j+=1
        i+=1
    return iim,jjn

def gval(*args):
    B=args[0]  # Input Matrix
    val=args[1]
    BB=np.zeros(np.shape(B))
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]>val:
                BB[i,j]=1
            else:
                BB[i,j]=0
            j+=1
        i+=1
    BB=BB.reshape(np.shape(B))
    return BB

def ival(*args):
    B=args[0]  # Input Matrix
    val=args[1]
    BB=np.zeros(np.shape(B))
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]==val:
                BB[i,j]=1
            else:
                BB[i,j]=0
            j+=1
        i+=1
    BB=BB.reshape(np.shape(B))
    return BB

def sval(*args):
    B=args[0]  # Input Matrix
    val1=args[1]
    val2=args[2]
    BB=np.zeros(np.shape(B))
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]==val1:
                BB[i,j]=val2
            else:
                BB[i,j]=B[i,j]
            j+=1
        i+=1
    BB=BB.reshape(np.shape(B))
    return BB

def sgival(*args):
    B=args[0]
    val1=args[1]
    val2=args[2]
    r,c=np.shape(B)
    i=0
    while i < r:
        j=0
        while j < c:
            if B[i,j]<=val1:
                B[i,j]=val2
            else:
                B[i,j]=B[i,j]
            j+=1
        i+=1
    B=B.reshape(np.shape(B))

def entval(*args):
    B=args[0]  # zarr
    val1=args[1]  # zmin
    val2=args[2]  # zmax
    print 'Forma de B',np.shape(B)
    r,c=np.shape(B)
    for i in range(0,r):
        for j in range(0,c):
            if B[i,j]>=val1 and B[i,j]<=val2:
                return i,j 

def incre(*args):
    ini=args[0]
    fin=args[1]
    inc=args[2]

    dx=[]
    i=1
    while i <= (fin-ini)/inc + 1:
        dx.append(ini-inc*(1-i))
        i += 1
    return dx    
